"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPreProcessorsConfig = (function wrap() {
    const preProcessorsConfigDefalut = {
        sassConfig: {},
        lessConfig: {},
        stylusConfig: {},
        cssLoaderConfig: {},
    };
    return (configPath) => {
        try {
            return require(configPath) || preProcessorsConfigDefalut;
        }
        catch (e) {
            return preProcessorsConfigDefalut;
        }
    };
}());
exports.requirePostcssConfig = (postcssConfigPath) => {
    try {
        return require(postcssConfigPath) || null;
    }
    catch (e) {
        return null;
    }
};
async function readStream(stream, render) {
    let buffer = Buffer.alloc(0);
    for await (const chunk of stream) {
        buffer = Buffer.concat([buffer, chunk]);
    }
    render(`${buffer.toString('utf8')}\n\r`);
}
exports.readStream = readStream;
